Subject: Re: [MMUSIC] In BUNDLE negotiation, when do "IDENTICAL" attributes need to be identical?

From: Christer Holmberg <[email-masked]>
Date: Wed, 17 Feb 2016 15:27:42 +0000

Hi,

I think this needs more clarification.

For IDENTICAL attributes, there is text saying:

“The attribute MUST be repeated across all "m="  lines multiplexed”

But, when e.g. the initial SDP offer is sent, no “m=” lines are yet multiplexed. The answerer will decide which “m=” lines become multiplexed.

Regards,

Christer

From: mmusic [mailto:[email-masked]] On Behalf Of Suhas Nandakumar
Sent: 14 January 2016 22:49
To: Taylor Brandstetter <[email-masked]>
Cc: mmusic WG <[email-masked]>
Subject: Re: [MMUSIC] In BUNDLE negotiation, when do "IDENTICAL" attributes need to be identical?

Hi Taylor

  As an offerer when I am offering BUNDLE, i will apply IDENTICAL when offering for those attribute that needs such a behavior.

So yes we need to specify the IDENTICAL on first proposal, also in answer if the Answerer supports the BUNDLE and the attribute specified and in the subsequent offer as well if the BUNDLE gets accepted.

Also to note a particular category gets applies internally (in the code) only after the successful Offer/Answer negotiation.

Hope that helps

Thanks
Suhas

On Mon, Dec 14, 2015 at 3:46 PM, Taylor Brandstetter <[email-masked]<mailto:[email-masked]>> wrote:
I'm referring to "IDENTICAL" as defined by this draft: https://datatracker.ietf.org/doc/draft-ietf-mmusic-sdp-mux-attributes

The definition is:

   Attributes and their associated values (if any) that MUST be
   identical across all the media descriptions being multiplexed.

However, it's not clear to me at what point in BUNDLE negotiation this restriction starts to apply. Is it:

1. When an offer first proposes a BUNDLE group
2. When an answer accepts a BUNDLE group
3. When a subsequent offer is made, with an already-established BUNDLE group

_______________________________________________
mmusic mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mmusic